# module WpVersion::Output

### Public Instance Methods

output() click to toggle source

    # File lib/common/models/wp_version/output.rb, line 5
    def output
      puts green('[+]') + " WordPress version #{self.number} identified from #{self.found_from}"

      vulnerabilities = self.vulnerabilities

      unless vulnerabilities.empty?
        puts
        puts red('[!]') + " We have identified #{vulnerabilities.size} vulnerabilities from the version number :"

        vulnerabilities.output
      end
    end